This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 109717 - glibc-headers dependencies kernel-headers
glibc-headers dependencies kernel-headers
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-11 05:56 EST by Jussi Johansson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-01 11:12:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jussi Johansson 2003-11-11 05:56:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.0.3705)

Description of problem:
glibc-headers needs kernel-headers, but kernel-headers isn't on 
Fedora packagelist. But there is glibc-kernheaders!

Version-Release number of selected component (if applicable):
glibc-headers-2.3.2-101

How reproducible:
Always

Steps to Reproduce:
[root@jalava kettu]# rpm -ivh glibc-headers-2.3.2-101.i386.rpm
error: Failed dependencies:
        kernel-headers is needed by glibc-headers-2.3.2-101
        kernel-headers >= 2.2.1 is needed by glibc-headers-2.3.2-101
[root@jalava kettu]# rpm -ivh glibc-kernheaders-2.4-8.36.i386.rpm
Preparing...                
########################################### [100%]
   1:glibc-kernheaders      
########################################### [100%]
[root@jalava kettu]# rpm -ivh glibc-headers-2.3.2-101.i386.rpm
Preparing...                
########################################### [100%]
   1:glibc-headers          
########################################### [100%]
[root@jalava kettu]# cat /etc/fedora-release
Fedora Core release 1 (Yarrow)
[root@jalava kettu]#


Additional info:
Comment 1 Craig Routledge 2004-02-27 11:47:51 EST
triage->easyfix
Comment 2 Miloslav Trmac 2004-03-01 11:12:43 EST
$ rpm -q --provides glibc-kernheaders
kernel-headers = 2.4.2
glibc-kernheaders = 2.4-8.36

Note You need to log in before you can comment on or make changes to this bug.